Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

## Class TrafficModel

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel
  - - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorConnectionModel
    - - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.TrafficModel

All Implemented Interfaces:
  `Serializable`

    public class TrafficModel
    extends CoordinatorConnectionModel

See Also:
  Serialized Form

### Field Summary

Fields
`Long` `byteAmount`
`LocalDateTime` `timestamp`
`Long` `workerId`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorConnectionModel

`coordinatorId`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

`id`

### Constructor Summary

Constructors
`TrafficModel()`
`TrafficModel​(Long id, Long workerId, LocalDateTime timestamp, String coordinatorHostId, Long byteAmount)`
`TrafficModel​(Long workerId, String coordinatorAddress, Long byteAmount)`
`TrafficModel​(LocalDateTime timestamp, String coordinatorHostId, Long byteAmount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorConnectionModel

`getCoordinatorHostId, setCoordinatorHostId`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### workerId

    public Long workerId

#### timestamp

    public LocalDateTime timestamp

#### byteAmount

    public Long byteAmount

### Constructor Detail

#### TrafficModel

    public TrafficModel()

#### TrafficModel

    public TrafficModel​(LocalDateTime timestamp,
                        String coordinatorHostId,
                        Long byteAmount)

#### TrafficModel

    public TrafficModel​(Long workerId,
                        String coordinatorAddress,
                        Long byteAmount)

#### TrafficModel

    public TrafficModel​(Long id,
                        Long workerId,
                        LocalDateTime timestamp,
                        String coordinatorHostId,
                        Long byteAmount)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`